Foreman - Refactor #13124

use patternfly icons for status
01/12/2016 03:37 AM - Ohad Levy

Status: Closed
Priority: Normal
Assignee: Ohad Levy
Category: Web Interface
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3083,
https://github.com/theforeman/foreman/p
ull/3091
Description

Patternfly comes with icons for success failure and warning, we should use them across the app - e.g.:

- host list
- about page
- smart proxies

Related issues:
Related to Foreman - Tracker #12972: Refresh icons with font awesome and patt... Resolved

01/03/2016

Associated revisions

Revision c77212ef - 01/18/2016 08:58 AM - Ohad Levy

fixes #13124 - use patternfly icons for status

this changes the following to use patternfly status icons(https://www.patternfly.org/styles/icons/)
- hosts list
- about page

- smart proxy index

Additionally, I've updated the default spinner to be xs class,
this is in order for the spinner take the same size as the status icons.

Revision 226944cf - 01/19/2016 07:43 AM - Ohad Levy

refs #13124 - set OS icons in the host list to match status icon size

History

#1 - 01/12/2016 03:37 AM - Ohad Levy

- Related to Tracker #12972: Refresh icons with font awesome and patternfly icons and use one consistent icon helper added

#2 - 01/17/2016 10:10 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ohad Levy

- Pull request https://github.com/theforeman/foreman/pull/3083 added

#3 - 01/18/2016 09:02 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset c77212ef47701078564218619e1f9282578df1d8.
https://www.patternfly.org/styles/icons/
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c77212ef47701078564218619e1f9282578df1d8

#4 - 01/18/2016 09:02 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#5 - 01/19/2016 02:46 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3091 added
